#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int main()
{
	ifstream f1("DE001_3.INP");
	ofstream f2("DE001_3.OUT");
	int n,t,a,min;
	min=-100001;
	f1>>n;
	for(int i=0;i<n;i++);
	{
	f1>>a;
	if (min<a&&a<0)
		{
		min=a;
		f2<<a;}
	if (a>0)
	{
	f2<<0;
	}
	}
	f1.close();
	f2.close();
	return 0;
	}
	
	

